#Added by slkbuild 1.4.3
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/default/grub
dotnew etc/grub.d/00_header
dotnew etc/grub.d/10_linux
dotnew etc/grub.d/20_linux_xen
dotnew etc/grub.d/30_os-prober
dotnew etc/grub.d/40_custom
dotnew etc/grub.d/41_custom
